Subject: Re: [PATCH 2/2] iproute: Add route showdump command (v2)

From: Pavel Emelyanov <[email-masked]>
Date: Fri, 27 Jul 2012 09:03:22 +0400

Stephen, I have a question regarding the save and restore in iproute tool.

As you know, the save/restore pair for routes works in a very simple and
elegant manner -- on save the raw kernel rtnl stream is just put into a
file, on restore the _very_ _same_ messages are pushed back to the kernel.

Is the same trick possible to save and restore the addresses (the ip
addr command) as well? Or the RTM_GETADDR messages cannot be just read
from and written back to the network stack in a generic case?

Thanks,
Pavel